
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品调价记录VO
 *
 * @author lhd
 * @date 2022-06-29 17:48:25
 */
public class SpuPriceLogVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品调价记录id")
    private Long id;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "规格id")
    private Long skuId;

    @Schema(description = "原供货价")
    private Long beforePrice;

    @Schema(description = "现供货价")
    private Long afterPrice;

    @Schema(description = "差价")
    private Long price;

    public String getMainImgUrl() {
        return mainImgUrl;
    }

    public void setMainImgUrl(String mainImgUrl) {
        this.mainImgUrl = mainImgUrl;
    }

    @Schema(description = "商品图片")
    private String mainImgUrl;

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    @Schema(description = "SKU编码")
    private String partyCode;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品规格")
    private String skuName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getBeforePrice() {
        return beforePrice;
    }

    public void setBeforePrice(Long beforePrice) {
        this.beforePrice = beforePrice;
    }

    public Long getAfterPrice() {
        return afterPrice;
    }

    public void setAfterPrice(Long afterPrice) {
        this.afterPrice = afterPrice;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    @Override
    public String toString() {
        return "SpuPriceLogVO{" +
                "id=" + id +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", beforePrice=" + beforePrice +
                ", afterPrice=" + afterPrice +
                ", price=" + price +
                ", mainImgUrl='" + mainImgUrl + '\'' +
                ", partyCode='" + partyCode + '\'' +
                ", spuName='" + spuName + '\'' +
                ", skuName='" + skuName + '\'' +
                '}';
    }
}
